## grubmenu 0.2.0

=== Makefile ===
# Sample Makefile for grubmenu

PKG_NAME = grubmenu
VERSION = 0.2.0
DIST_NAME = $(PKG_NAME)_$(VERSION)
DIST_PATH = ../$(DIST_NAME).orig.tar.gz

PY_VER=`python -c "import sys;print sys.version[:3]"`

INSTALLDIR = install -d
INSTALLEXEC = install -m 755
INSTALLDATA = install -m 644

PREFIX = /usr/local

EXEDIR = $(DESTDIR)$(PREFIX)/sbin
MODULESDIR = $(DESTDIR)$(PREFIX)/lib/python$(PY_VER)/site-packages/$(PKG_NAME)

all:
	LANG=C /usr/bin/docbook2man $(PKG_NAME).sgml
	rm -f manpage.*
	mv GRUBMENU.8 $(PKG_NAME).8
	make -C po

install-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	cp -a grubmenu/*.py $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	cp -a grubmenu/common/*.py $(MODULESDIR)/common

	make -C po install

install: install-deb
	$(INSTALLDIR) $(PREFIX)/man/man
	$(INSTALLDATA) $(PKG_NAME).8 $(PREFIX)/man/man8

clean:
	rm -rf *~ common/*~
	rm -f *.pyc common/*.pyc
	make -C po clean 

distclean: clean
	rm -f $(PKG_NAME).8
	make -C po distclean

dist: distclean
	rm -rf /tmp/$(DIST_NAME)
	mkdir -p /tmp/$(DIST_NAME)
	cp -a * /tmp/$(DIST_NAME)
	rm -rf /tmp/$(DIST_NAME)/debian
	rm -rf /tmp/$(DIST_NAME)/CVS
	rm -rf /tmp/$(DIST_NAME)grubmenu/CVS
	rm -rf /tmp/$(DIST_NAME)grubmenu/common/CVS
	rm -rf /tmp/$(DIST_NAME)/po/CVS
	tar -czC /tmp -f $(DIST_PATH) $(DIST_NAME)

## grubmenu 0.2.2-1

=== Makefile ===
# Sample Makefile for grubmenu

PKG_NAME = grubmenu
GUI_NAME = grubmenugui

VERSION = 0.2.2

DIST_NAME = $(PKG_NAME)_$(VERSION)
DIST_PATH = ../$(DIST_NAME).orig.tar.gz

PY_VER=`python -c "import sys;print sys.version[:3]"`

NORMAL_PYFILE = grubmenu/__init__.py grubmenu/ui_default.py
GUI_PYFILE = grubmenu/aboutDialog.py grubmenu/ui_wxPython.py
COMMON_PYFILE = grubmenu/common/__init__.py grubmenu/common/config.py grubmenu/common/constants.py grubmenu/common/create_menu.py grubmenu/common/utils.py

INSTALLDIR = install -d
INSTALLEXEC = install -m 755
INSTALLDATA = install -m 644

PREFIX = /usr/local

EXEDIR = $(DESTDIR)$(PREFIX)/sbin
MODULESDIR = $(DESTDIR)$(PREFIX)/lib/python$(PY_VER)/site-packages/$(PKG_NAME)
MANDIR = $(DESTDIR)$(PREFIX)/man/man8

all:
	LANG=C /usr/bin/docbook2man $(PKG_NAME).sgml
	rm -f manpage.*
	mv GRUBMENU.8 $(PKG_NAME).8
	make -C po

install-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)
	$(INSTALLEXEC) $(GUI_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(GUI_NAME).py $(EXEDIR)/$(GUI_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	$(INSTALLDATA) $(NORMAL_PYFILE) $(MODULESDIR)
	$(INSTALLDATA) $(GUI_PYFILE) $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	$(INSTALLDATA) $(COMMON_PYFILE) $(MODULESDIR)/common

	make -C po install

install-nogui-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	$(INSTALLDATA) $(NORMAL_PYFILE) $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	$(INSTALLDATA) $(COMMON_PYFILE) $(MODULESDIR)/common

	make -C po install

install: install-deb
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(PKG_NAME).8 $(MANDIR)

install-nogui: install-nogui-deb
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(PKG_NAME).8 $(MANDIR)

clean:
	rm -rf *~ grubmenu/*~ grubmenu/common/*~
	rm -f *.pyc grubmenu/*~ grubmenu/common/*.pyc
	rm -f *.orig grubmenu/*.orig grubmenu/common/*.orig debian/*.orig
	rm -f *.rej grubmenu/*.rej grubmenu/common/*.rej debian/*.rej
	make -C po clean 

distclean: clean
	rm -f $(PKG_NAME).8
	make -C po distclean

=== debian/changelog ===
grubmenu (0.2.2-1) unstable; urgency=low

  * upstream update
  * see upstream changelog
  * change build-depends (>>python2.3)

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 14 Nov 2003 11:43:36 +0900

grubmenu (0.2.1-1) unstable; urgency=low

  * upstream upate
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri,  7 Nov 2003 15:55:00 +0900

grubmenu (0.2.0-1) unstable; urgency=low

  * upstream update
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Mon, 27 Oct 2003 10:22:09 +0900

grubmenu (0.1.3-1) unstable; urgency=low

  * upstream update.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 23:37:57 +0900

grubmenu (0.1.2-1) unstable; urgency=low

  * upstream update.
  * change a status of python-japanese-codecs to Suggests.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 22:16:31 +0900

grubmenu (0.1.1-1) unstable; urgency=low

  * upstream update.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 02:43:17 +0900

grubmenu (0.1.0-2) unstable; urgency=low

  * python-japanese-codecs is adding depends.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 01:50:01 +0900

grubmenu (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 29 Aug 2003 16:02:27 +0900

=== debian/control ===
Source: grubmenu
Section: admin
Priority: optional
Maintainer: Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>
Build-Depends: debhelper (>> 4.0.0), python (>> 2.3), gettext, docbook-utils
Standards-Version: 3.5.9

Package: grubmenu
Architecture: i386
Depends: grub, python (>> 2.3), libwxgtk2.4-python (>= 2.4.2.4)
Suggests: python-japanese-codecs
Description: The package grubmenu is a simple script for create grub's menu.lst
 The kernel image installed is detected automatically
 and a boot entry is created. The boot option of a kernel
 can also be setup for each kernel.
 .
 In addition, a timeout, a setup of spash and a JP keyboard,
 default boot kernel image, etc. are possible.
 .
 grubmenu corresponds also to the initrd image. However,
 the same prefix as a kernel needs to be attached.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/grubmenu.
	$(MAKE) install-deb DESTDIR=$(CURDIR)/debian/grubmenu PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## grubmenu 0.2.4-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG_NAME = grubmenu
 GUI_NAME = grubmenugui
 
-VERSION = 0.2.2
+VERSION = 0.2.4
 
 DIST_NAME = $(PKG_NAME)_$(VERSION)
 DIST_PATH = ../$(DIST_NAME).orig.tar.gz

=== debian/changelog ===
grubmenu (0.2.4-1) unstable; urgency=low

  * upstream update
  * see upstream changelog
  
 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Mon, 17 Nov 2003 14:26:17 +0900

## grubmenu 0.2.5-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG_NAME = grubmenu
 GUI_NAME = grubmenugui
 
-VERSION = 0.2.4
+VERSION = 0.2.5
 
 DIST_NAME = $(PKG_NAME)_$(VERSION)
 DIST_PATH = ../$(DIST_NAME).orig.tar.gz
@@ -67,7 +67,7 @@
 
 clean:
 	rm -rf *~ grubmenu/*~ grubmenu/common/*~
-	rm -f *.pyc grubmenu/*~ grubmenu/common/*.pyc
+	rm -f *.pyc grubmenu/*.pyc grubmenu/common/*.pyc
 	rm -f *.orig grubmenu/*.orig grubmenu/common/*.orig debian/*.orig
 	rm -f *.rej grubmenu/*.rej grubmenu/common/*.rej debian/*.rej
 	make -C po clean

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995-1997, 2000, 2001 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = grubmenu
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = ../mkinstalldirs

CC = gcc
GENCAT = gencat
MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/bin/pygettext
MSGMERGE = msgmerge

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

POTFILES = ../grubmenu.py ../grubmenu/common/utils.py ../grubmenu/ui_default.py ../grubmenu/ui_wxPython.py ../grubmenu/aboutDialog.py

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

# Note: Target 'all' must not depend on target '$(srcdir)/$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

$(PACKAGE).pot: $(POTFILES)
	if test -f $(XGETTEXT); then \
		$(XGETTEXT) --default-domain=$(PACKAGE) \
			--keyword=_ $(POTFILES); \
	else \
		touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
                lang=`echo $$file | sed 's/\.mo//'`; \
                install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
                install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

mostlyclean:
	rm -f *~
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f *.mo $(PACKAGE).pot

update-po: Makefile
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\.mo$$//'`; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
            mv -f $$lang.new.po $$lang.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.new.po; \
          fi; \
        done

=== debian/changelog ===
grubmenu (0.2.5-1) unstable; urgency=low

  * upstream update
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 21 Nov 2003 11:20:16 +0900
